Inquiry Prepaid

This is the request format inquiry prepaid for transaction on Otomax

https://{url}/klikoo-b2b/v1/irs/inquiry?client_id=[user]&client_secret=[pass]&idrs=[idrs]&pin=[pin]&product_code=[product]&ref_id=[trxid]&to=[tujuan]&amount=[amount]&selling_price=[selling_price]

A. Sample Request

curl --location 
'https://{URL}/klikoo-b2b/v1/irs/inquiry?client_id=client_id&client_secret=secet&idrs=idrs&pin=pin&product_code=PLN20&ref_id=b3e0f17a-453f-493c-862f-4cc6f651da52&to=0817345544&amount=20500&selling_price=21000
HTTP Method POST
URL {URL}
Path /v1/irs/inquiry

  • Sample Request OVO
    {{B2B}}/v1/irs/inquiry?client_id=c17229eb-3d2b-4576-8f5d-c2e716da764b&client_secret=gvxzqypljtoukfanckakaa9z0md4x5aj&idrs=%3CIDRS%3E&pin=123456&product_code=OVO10&ref_id={{$guid}}&to=081000000001&amount=100000&selling_price=2000
    

  • Sample Request Gopay
    {{B2B}}/v1/irs/inquiry?client_id=c17229eb-3d2b-4576-8f5d-c2e716da764b&client_secret=gvxzqypljtoukfanckakaa9z0md4x5aj&idrs=%3CIDRS%3E&pin=123456&product_code=GOPAY10&ref_id={{$guid}}&to=081000000001&amount=100000&selling_price=2000
    

  • Sample Request Dana
    /v1/irs/inquiry?client_id=c17229eb-3d2b-4576-8f5d-c2e716da764b&client_secret=gvxzqypljtoukfanckakaa9z0md4x5aj&idrs=%3CIDRS%3E&pin=123456&product_code=DN1&ref_id={{$guid}}&to=0817345544&amount=100000&selling_price=2000
    

  • Sample Request Dana Open Denom
    {{B2B}}/v1/irs/inquiry?client_id=c17229eb-3d2b-4576-8f5d-c2e716da764b&client_secret=gvxzqypljtoukfanckakaa9z0md4x5aj&idrs=%3CIDRS%3E&pin=123456&product_code=DNOPEN&ref_id={{$guid}}&to=0817345544&amount=20000&selling_price=2000
    

  • Sample Request Maxim
    {{B2B}}/v1/irs/inquiry?client_id=c17229eb-3d2b-4576-8f5d-c2e716da764b&client_secret=gvxzqypljtoukfanckakaa9z0md4x5aj&idrs=%3CIDRS%3E&pin=123456&product_code=MAX5000&ref_id={{$guid}}&to=0817345544&amount=100000&selling_price=2000
    


B. Request Parameter

FieldLocationDescriptionRequiredExample
ref_idQueryReference Number from Partnertrueb3e0f17a-453f-493c-862f-4cc6f651da52
client_idQueryUsername from Klikoo (you can get from B2B Dashboard at menu Pengaturan and tab Konfigurasi API just copy the Client ID and put on Otomax Terminal Username)truec17229eb-3d2b-4576-8f5d-c2e716da764b
client_secretQueryPassword from Klikoo (you can get from B2B Dashboard at menu Pengaturan and tab Konfigurasi API just copy the Client Secret and put on Otomax Terminal Password)truegvxzqypljtoukfanckakaa9z0md4x5aj
product_codeQueryUnique identifier for the product (Product code from B2B Dashboard at menu Produk)truePLN20
toQueryDestination numbertrue0817345544&selling_price=21000
amountQueryThe transaction amount (Optional)true20500
selling_priceQueryThe selling price of transactiontrue21000
pinQueryPin for transaction generated by Klikoo system and we will send to emailtrue123456
idrsQueryID Reseller that transaction on IRS’s partnertrueIDRS


C. Sample Response


Response Success

R#PLN20. PRICE: 20546. CUSTNUM: 01105691111. CUSTNAME: BAHARRUDIN1. POWERCAPACITY: R1/2200VA. @12:32:55.821005 12/11/2024


Response Failed

R#. CUSTNUM: 01105601111. REASON: CUSTID not recognized. Biller throws exception. Err:5110. @12:32:08.889517 12/11/2024


  • Sample Response OVO
    R#OVO10. PRICE: 10100. CUSTNUM: 081000000001. CUSTNAME: C**tomer Na**. @10:59:32.076824 29/11/2024
    

  • Sample Response Gopay
    R#GOPAY10. PRICE: 10100. CUSTNUM: 081000000001. CUSTNAME: C**tomer Na**. @11:00:44.538861 29/11/2024
    

  • Sample Response Dana
    R#DN1. PRICE: 1178. CUSTNUM: 0817345544. CUSTNAME: DNID nX. @10:54:14.776182 29/11/2024
    

  • Sample Response Dana Open Denom
    R#DNOPEN. PRICE: 20080. CUSTNUM: 0817345544. CUSTNAME: DNID nX. @14:49:21.883899 29/11/2024
    

  • Sample Response Maxim
    R#MAX5000. PRICE: 7205. CUSTNUM: 0817345544. @11:04:32.895636 29/11/2024
    


D. Response Body

FieldTypeDescriptionExample
PRODUCT_CODEstringUnique identifier for the product“PLN20”
PRICEstringThe value of price for the product"20546"
CUSTOMER_NUMBERstringThe customer number associated with the transaction or inquiry"01105691111"
CUSTOMER_NAMEstringName of the customer involved in the transaction"BAHARRUDIN1"
POWER_CAPACITYstringThe power capacity or size of the productR1/2200VA
CURRENT_TIMESTAMPstringTimestamp indicating the current date“12:32:55.821005 12/11/2024”
REASONstringThe information about the reason of failed transaction, occur when trx is failed“CUSTID not recognized. Biller throws exception. Err:5110"